%ext ck2

%version 1.31
%patchfile 0x17828 CK2GOLD.TLI

#Fix these
%patch $19964 "   CITIES SAVED     KEYCARDS" $0A $00

#Lives
%patch $0FB7 $9ADCW  #Lives variable
%patch $0FBC $0008W  #Maximum number of lives to show
%patch $0F8B $0000W  #Hide x lives from START of lives (None hidden by default)
%patch $0F95 $0003W  #Vertical position of lives

#Text file patches
%patchfile $1586B "ENDTEXT.CK2"
%patchfile $163A0 "PREVIEWS.CK2" 
%patchfile $15BC0 "HELPTEXT.CK2"

#Text file window footer
%patch $98ED  $3333W #Text called from
%patch $1AAB3 "      ESC to exit / " $0F " " $13 " to read     " $00

#Change the story, max file length 3'232 bytes
%patchfile $16AC0 "STORYTXT.CK2"

#Keen 2 :
%patch $11DE  $0001W #Height
%patch $11E2  $0014W #Width
%patch $11F4  $2264W #Text called from (On)
%patch $11F9  $2275W #Text called from (Off)

%patch $199E4 "Sorry, but no!  " $00
%patch $199F5 "Ok. Good player. " $00

#C T Space window
%patch $DD6  $2146W #Text called from
%patch $DDF  $215DW #Text called from
%patch $DE8  $2173W #Text called from
%patch $DF1  $218BW #Text called from

#Text
%patch $198C6 "Nice trying, human!  " $0A "" $00
%patch $198DD "That's why I take   " $0A "" $00
%patch $198F3 "the keycards and the  " $0A "" $00
%patch $1990B "lots of charges." $00

%patch $0DFF $90 $90 $90 $90
             $90 $90 $90 $90
             $90 $90 $90 $90
             $90 $90         
%patch $0DF9 $90 $90 $90 $90
             $90 $90         
%patch $0E10 $90 $90 $90     

%patch $A0A1 $EB
%patch $6D90 $EB
%patch $70A9 $00 $90 $90

#'About Id' texts
%patch $1A754 "A group of software artists whose  " $0A $00
%patch $1A77C "goal is to bring high quality PC " $0A $00
%patch $1A7A4 "entertainment to the public at" $0A $00
%patch $1A7CC "reasonable prices.  " $0A $0A $00
%patch $1A7F4 "Their effort is only possible with" $0A $00
%patch $1A81C "your support. Without it, they" $0A $00
%patch $1A844 "cannot continue to make this fine" $0A $00
%patch $1A86C "software so affordable." $0A $0A $00
%patch $1A894 "They thank you for your      " $0A $00
%patch $1A8BC "contribution to the future of the" $0A $00
%patch $1A8E4 "growing shareware market." $0A $00

#32 levels:
#Let Keen enter levels if these values are 0
%patch $8146  $90 $90 $80 $BF $9ABCW  $00
%patch $83C9  $90 $90 $80 $BF $9ABBW  $00

#When starting a new game, make all 32 levels not done
%patch $8AF9  $90 $90 $C6 $87 $9ABCW  $00 $90
%patch $8B07  $20

#Change things when marking a level as done
%patch $8412  $90 $90 $C6 $87 $9ABBW  $01 $90
%patch $8253  $20

#Disable 'Quit Y/N' window
%patch $0838 $5D $C3

#Restart demo quits to DOS
%patch $9055 $9A $0000121BRL

#Stop demo sequence
%patch $8BF0 $90 $90

#Menu start item
%patch $8DC4 $00    #When moving up
%patch $8F05 $0000W #When wrapping around from bottom

#Menu bottom item
%patch $8EA7 $06    #Moving down
%patch $8E22 $0006W #When wrapping from top
%patch $9060 $06    #When refreshing window

#Menu pointers
%patch $9080 $9003W # New Game
             $900AW # Continue Game
             $9012W # Story
             $901CW # About ID...
             $9029W # High Scores
             $9048W # Previews!
             $9055W # Quit

#Simple Main Menu text patch (Frees $9F1C-$9F59)
%patch $90B8 $2F39W  $50 $E8 $97E7W  $44 $44 $EB $46

#Menu text
%patch $1A6B9 "   New game" $0A
              "   Continue game" $0A
              "   Story" $0A
              "   About Id..." $0A
              "   High scores" $0A
              "   Previews!    " $0A
              "   Quit     " $0A
              "               " $0A $0A
              "Use the " $00

#Change the lives sprite
%patch $0F8F $B8 $007BW  $50 $8B $C7 $05 $000CW  $D1 $E0 $D1 $E0
             $50 $8B $46 $FE $D1 $E0 $90

#Change the levels where the Elders appear
%patch $4AC9 $08
%patch $4ACE $12

#Hint 1
%patch $1A08C "The Vorticon Elder    "
%patch $1A0A4 "Woman says through the"
%patch $1A0BC "stasis field:         "
%patch $1A0D4 "That poor little      "
%patch $1A0EC "one-eyed alien was too"
%patch $1A104 "thirsty, that's why   "
%patch $1A11C "it drank a lots of    "
%patch $1A134 "Vorta-Cola and since  "
%patch $1A14C "that he is not able to"
%patch $1A164 "stand up.             "
%patch $1A17C "Please, help for him! "

#Extra frame when unstunning -Keen 2 -modified for new sprite stuff
%patch $4A5B $0BA9W
%patch $0BA9 $55 $8B $EC $C7 $06 $96E8W  $001EW  $A1 $96EAW  $03 $06 $5AF0W
             $A3 $96EAW  $3D $0014W  $7E $06 $C7 $06 $96F2W  $66A9W  $5D $C3

#Text calls
%patch $12A2 $EB $07 #Loading

#APOGEE - rising
%patch $9BB5 $000BW #Image used
%patch $9BBD $0010W #Horizontal position (8x8 tiles)

#APOGEE
%patch $9BE1 $000BW #Image used
%patch $9BE9 $0010W #Horizontal position (8x8 tiles)

#Presentation
%patch $9BF3 $0009W #Image used
%patch $9BFE $0010W #Horizontal position (8x8 tiles)
%patch $9BFA $0045W #Vertical position relative to APOGEE (pixels)

#Of an
%patch $9C08 $000FW #Image used
%patch $9C10 $0015W #Horizontal position (8x8 tiles)
%patch $9C0C $005CW #Vertical position (pixels)

#Id Software
%patch $9C1A $0011W #Image used
%patch $9C22 $0013W #Horizontal position (8x8 tiles)
%patch $9C1E $008AW #Vertical position (pixels)

#Production
%patch $9C2C $0010W #Image used
%patch $9C34 $0013W #Horizontal position (8x8 tiles)
%patch $9C30 $00B6W #Vertical position (pixels)

#Elite doesn't jump OR shoot in the dark
%patch $40FB $83 $3E $96BEW  $00 $74 $21 $E8 $76E1W  $8B $16 $5AF0W  $D1
             $E2 $3B $C2 $73 $16

#Guard robot doesn't shoot in the dark
%patch $456E $14 $83 $3E $96BEW  $00 $74 $0D $C7 $06 $96F2W  $45B0W  $33 $C0
             $A3 $96ECW  $EB $24 $E8 $1529W  $8B $F0 $A9 $0001W  $74 $08 $C7
             $06 $96ECW  $0064W  $EB $0C $F7 $C6 $0004W  $74 $12 $C7 $06 $96ECW
                 $FF9CW  $C7 $06 $96F2W  $4647W  $C7 $06 $96EAW  $0000W  $5E
             $5D $C3

#Regularized Keen 2 spawning code
%patch $3B35 $81 $FB $00FFW  $74 $69 $4B $83 $FB $07 $76 $03 $E9 $0084W  $D1
             $E3 $2E $FF $A7 $3B83W
%patch $3B4B $57 $56 $E8 $009AW  $EB $4D $57 $56 $E8 $00F5W  $EB $46
             $57 $56 $E8 $0150W  $EB $3F $57 $56 $E8 $01ABW  $EB $38
             $57 $56 $E8 $01E1W  $EB $31 $57 $56 $E8 $0221W  $EB $2A
             $57 $56 $E8 $0262W  $EB $23 $57 $56 $E8 $CF71W  $EB $1C
%patch $3B83 $3B4BW  $3B52W  $3B59W  $3B60W  $3B67W  $3B6EW  $3B75W  $3B7CW

#New sprite spawn, immortal, blocks
%patch $0AF2 $55 $8B $EC $56 $E8 $4C7EW  $8B $F0 $C7 $04 $0007W  $8B $46 $04
             $99 $B1 $0C $E8 $CD79W  $89 $44 $04 $89 $54 $06 $8B $46 $06 $99
             $B1 $0C $E8 $CD6AW  $89 $44 $08 $89 $54 $0A $C7 $44 $32 $0B34W
             $C7 $44 $34 $4677W  $C7 $44 $20 $0010W  $C7 $44 $28 $0049W  $5E
             $5D $C3

#New behavior, randomly shoot red and blue shots
%patch $0B34 $55 $8B $EC $56 $E8 $ACABW  $8B $16 $5AF0W  $D1 $E2 $3B $C2 $73
             $38 $E8 $AC9EW  $8B $16 $2FC2W  $D1 $E2 $3B $C2 $73 $2E $B8 $0026W
                 $50 $E8 $AAB2W  $44 $44 $BE $015EW  $56 $A1 $96CAW  $8B
             $16 $96C8W  $81 $C2 $FF00W  $15 $FFFFW  $50 $52 $FF $36 $96C6W
             $FF $36 $96C4W  $E8 $6AC3W  $83 $C4 $0A $5E $5D $C3 $83 $3E $6028W
             $00 $7C $CB $B8 $000CW  $50 $E8 $AA7DW  $44 $44 $FF $36 $96CAW
             $FF $36 $96C8W  $FF $36 $96C6W  $FF $36 $96C4W  $E8 $6876W  $83
             $C4 $08 $5E $5D $C3

#Change shot collisions to respect platform types
%patch $7677 $75C5W
%patch $75BD $83 $3D $07 $74 $27 $E9 $01B4W
%patch $75C5 $55 $8B $EC $56 $57 $8B $76 $04 $8B $7E $06 $83 $3D $06 $74 $14
             $83 $3D $0D $74 $0F $83 $3D $04 $74 $0A $83 $3D $07 $74 $05 $E9
             $0192W  $90 $90


########
#ENDING#
########


#Text
%patch $1A1E2 "heads for Earth.  Even great" $0A

#Text:
%patch $1A2F7 "Wake up, Billy.  It" $0A
%patch $1A30C "snowed last night!" $0A
%patch $1A320 "There's no school!" $00

#Text:
%patch $1A333 "Wonderful, mother.  That" $0A
%patch $1A34D "will give me time to rid" $0A
%patch $1A367 "the galaxy of the" $0A
%patch $1A37A "Vorticon menace and" $0A
%patch $1A38F "discover the secret of" $0A
%patch $1A3A7 "the mysterious Grand" $0A
%patch $1A3BD "Intellect!" $00

#Text:
%patch $1A3C9 "Ok, hon, but you'd" $0A
%patch $1A3DD "better have a nourishing" $0A
%patch $1A3F7 "vitamin fortified bowl" $0A
%patch $1A40F "of Sugar Stoopies first." $00

#Text:
%patch $1A429 "Ok, mom..." $00


###############
#CONTINUE GAME#
###############

#Can only save on map:
%patch $94C0 $0003W			#Height
%patch $94C4 $0016W			#Width
%patch $94CE $31AEW $50 $EB $10	#Text read from

#Text
%patch $1A92E "You can SAVE the game" $0A
              "   ONLY on the map!   " $0A
              "    Press a key:" $00

#Can continue from menu:
%patch $95FB $0003W			#Height
%patch $95FF $001DW			#Width
%patch $9609 $325DW $50 $EB $10	#Text read from

#Text
%patch $1A9DD "You can continue this game" $0A
              "from the main menu next time" $0A
              "you play. Press a key:" $00

#Load 19
%patch $965A $0002W			#Height
%patch $965E $0019W			#Width
%patch $967E $32AEW $50 $EB $07	#Text read from

#Text
%patch $1AA2E "  Continue which game?" $0A
              "       1-9 or ESC:" $00

#New hint
%patch $19FCC "The Elder Vorticon    "
%patch $19FE4 "in the stasis field   "
%patch $19FFC "says:                 "
%patch $1A014 "The wise Vorticon     "
%patch $1A02C "never jumps in the    "
%patch $1A044 "dark.  In fact, even  "
%patch $1A05C "unwise Vorticons will "
%patch $1A074 "not do that either.   "

#New B800 screen
%patchfile $11787 CK2GOLD.BIN

#Joystick configuration
%patch $1588  $0009W #Height
%patch $19C39 "  Joystick configuration" $0A $00

%end